<script setup lang="ts">
import type { Receipt } from '@/types/Receipt'
import type { ReceiptItem } from '@/types/ReceiptItem'
import { computed, ref } from 'vue'
import ReceiptItemList from '@/components/ReceiptItemList.vue'
import { useReceiptStore } from '@/stores/receipt'

const props = defineProps<{
  modelValue: boolean
  receipt: Receipt
  receiptItems: ReceiptItem[]
}>()
const emit = defineEmits<{
  'update:modelValue': [boolean],
  agree: []

}>()
const value = computed({
  get() {
    return props.modelValue
  },
  set(value) {
    emit('update:modelValue', value)
  }
})
const receiptStore = useReceiptStore()
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="value" height="900" width="450">
      <!--  persistent width ="auto;" 
      <v-row> วันที่: {{ receipt.createdDate.toLocaleDateString() }} </v-row>
              <v-row> พนักงาน:{{ receipt.user?.fullName }} </v-row>
              <v-row> สมาชิก:{{ receipt.member?.name }} </v-row>
      -->
      <v-card style="font-family: 'Kanit';">
        <!-- <v-card-title class="text-h5">Receipt</v-card-title> -->
        <v-card-title
          style="color: rgb(126, 101, 93); font-weight: bold; text-align: center; padding-bottom: 0%;padding-top: 8%;font-size: 20pt;">Receipt</v-card-title>
        <v-card-text
          style="color: rgb(126, 101, 93); font-weight: bold; padding-top: 0%;padding-bottom: 0%; text-align: center;">coffee</v-card-text>
        <v-card-text
          style="color: rgb(126, 101, 93); padding-top: 0%;font-size: 10pt;text-align: center;padding-bottom: 2%;">{{
            'Branch No. ' + receiptStore.receipt.id }}</v-card-text>
        <v-card-text
          style="color: rgb(126, 101, 93); text-align: center; padding:0%; font-size:8pt;">★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★</v-card-text>

        <v-card-text style="color: rgb(126, 101, 93); padding-top: 0%;padding-bottom: 0%; font-size: 10pt;">
          <v-sheet style="color: rgb(126, 101, 93)">
            วันที่: {{ receipt.createdDate.toLocaleDateString() }}
          </v-sheet>
          <v-sheet style="color: rgb(126, 101, 93)">
            พนักงาน: {{ receipt.user?.fullName }}
          </v-sheet>
          <v-sheet style="color: rgb(126, 101, 93)">
            สมาชิก: {{ receipt.member?.name }}
          </v-sheet>
          <v-row>
            <v-col style="color: rgb(126, 101, 93); padding-left: 15%;font-size: 10pt;font-family: 'Kanit';">ชื่อ</v-col>
            <v-col style="color: rgb(126, 101, 93); padding-left: 2%;font-size: 10pt;font-family: 'Kanit';">ราคา</v-col>
            <v-col style="color: rgb(126, 101, 93); padding-left: 7%;font-size: 10pt;font-family: 'Kanit';">จำนวน</v-col>
            <v-col style="color: rgb(126, 101, 93); font-size: 10pt;font-family: 'Kanit';text-align: right; padding-right: 10%;">ราคารวม</v-col>
          </v-row>
          
          <!-- <ReceiptItemList :editable="false"></ReceiptItemList> -->
        
          <v-row v-for="(item, index) of props.receiptItems" :key="index">
            <v-col  cols="6" style="color: rgb(126, 101, 93); padding: 0%; padding-left: 10%; padding-right: 0%;">
              <v-list-item-title style="font-size: 10pt; ">{{ item.name }} </v-list-item-title>
            </v-col>
            <v-col style="color: rgb(126, 101, 93); padding-left: 0%;font-size: 10pt;font-family: 'Kanit';">
              <v-list-item-title style="font-size: 10pt; ">{{ item.price }} </v-list-item-title>
            </v-col>
            <v-col style="color: rgb(126, 101, 93); padding-left: 7%;font-size: 10pt;font-family: 'Kanit';">
              <v-list-item-title style="font-size: 10pt; ">{{ item.unit }} </v-list-item-title>
            </v-col>
            <v-col style="color: rgb(126, 101, 93); font-size: 10pt;font-family: 'Kanit';text-align: right; padding-right: 10%;">
              <v-list-item-title style="font-size: 10pt; ">{{ item.price * item.unit  }} </v-list-item-title>
            </v-col>
          </v-row>
          <!--<v-row>
        <tbody>
          <tr v-for="(item, index) of props.receiptItems" :key="index">
            <v-col  cols="6" style="color: rgb(126, 101, 93); padding: 0%; padding-left: 10%; padding-right: 0%;">
            <td>{{ index + 1 }}</td>
            </v-col>
            <td>{{ item.name }}</td>
            <td>{{ item.price }}</td>
            <td>
              <span class="pl-3 pr-3">{{ item.unit }}</span>   
            </td>
            <td>{{ item.price * item.unit }}</td>
          </tr>
        </tbody>
      </v-row> -->
          
          <v-sheet style="color: rgb(126, 101, 93)">
            <v-row>
              <v-col cols="6"
                style="color: rgb(126, 101, 93); padding-left: 5%;font-size: 10pt;font-family: 'Kanit';">รวมเป็น: {{
                  receipt.total }} บาท </v-col>

              <v-col
                style="color: rgb(126, 101, 93); font-size: 10pt;font-family: 'Kanit';text-align: right; padding-right: 5%;">จำนวน:
                {{ receipt.amount }} ชิ้น</v-col>
            </v-row>
          </v-sheet>
          <v-card-text
            style="color: rgb(126, 101, 93); text-align: center; padding:0%; font-size:8pt;">★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★</v-card-text>
            <v-card-text style="color: rgb(126, 101, 93); text-align: center;font-size: 10pt; padding-top: 3%;">THANK YOU</v-card-text>
          </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green-darken-1" variant="text" @click="value = false"> Disagree </v-btn>
          <v-btn color="green-darken-1" variant="text" @click="() => {
            value = false
            console.log(receipt)
            console.log(receiptItems)
            emit('agree')
            receiptStore.initReceipt()
          }"> Agree </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template> -->


<!-- <template>
 <v-dialog
      v-model="dialog"
      width="300"
      height="700"
    >
      <v-card style="font-family: 'Kanit';">
        <v-card-title style="color: rgb(126, 101, 93); font-weight: bold; text-align: center; padding-bottom: 0%;padding-top: 8%;font-size: 20pt;">괜찮아</v-card-title>
        <v-card-text style="color: rgb(126, 101, 93); font-weight: bold; padding-top: 0%;padding-bottom: 0%; text-align: center;">coffee</v-card-text>
        <v-card-text style="color: rgb(126, 101, 93); padding-top: 0%;font-size: 10pt;text-align: center;padding-bottom: 2%;">{{ 'Branch No. '+receiptStore.receipt.id }}</v-card-text>
        <v-card-text style="color: rgb(126, 101, 93); text-align: center; padding:0%; font-size:8pt;">★★★★★★★★★★★★★★★★★★★★★★★★</v-card-text>
        <v-card-text style="color: rgb(126, 101, 93); padding-top: 0%;padding-bottom: 0%; font-size: 10pt;">{{ 'Date Time : '+ dayjs(receiptStore.receipt.createdDate).format('D/M/YYYY H:mm') }}</v-card-text>       
        <v-card-text style="color: rgb(126, 101, 93); padding-top: 0%;padding-bottom: 0%;font-size: 10pt;">{{ 'Cashier : '+ receiptStore.receipt.user?.fullName }}</v-card-text>
        <v-card-text style="color: rgb(126, 101, 93); padding-top: 0%;padding-bottom: 0%; font-size: 10pt;">{{ 'Member : '+ memberStore.currentMember?.name }}</v-card-text>
        <v-card-text style="color: rgb(126, 101, 93); text-align: center; padding: 0%; font-size:8pt;">★★★★★★★★★★★★★★★★★★★★★★★★</v-card-text>

        
        <v-row v-for="item in receiptStore.receiptItems" :key="item.id">
                    <v-col  cols="6" style="color: rgb(126, 101, 93); padding: 0%; padding-left: 10%; padding-right: 0%;">
                        <v-list-item-title style="font-size: 10pt; ">{{ item.name }} </v-list-item-title>
                    </v-col>
                    <v-col style="padding: 1%; text-align:right; padding-left: 0%;color: rgb(126, 101, 93);">
                        <v-list-item-subtitle> {{ item.unit }}</v-list-item-subtitle>
                    </v-col>
                    <v-col style="padding: 0%;padding-right: 10%;padding-left: 0%;color: rgb(126, 101, 93);">
                        <v-list-item-title style="text-align: right; font-size: 10pt;">
                            {{ (item.price * item.unit).toFixed(2) }}
                        </v-list-item-title>
                    </v-col>
                </v-row>
            <v-row>
                <v-col style="color: rgb(126, 101, 93); text-align: left; padding-left: 10%;padding-bottom: 0%;">Amount</v-col>
                <v-col style="color: rgb(126, 101, 93); text-align: right; padding-right: 10%;padding-bottom: 0%;">{{ receiptStore.receipt.Amount }}</v-col>
            </v-row>
            <v-row>
                <v-col style="color: rgb(126, 101, 93); text-align: left; padding-left: 10%;padding-top: 0%">Discount</v-col>
                <v-col style="color: rgb(126, 101, 93); text-align: right; padding-right: 10%; padding-top: 0%;">{{ ((receiptStore.receipt.Amount)-(receiptStore.receipt.total)).toFixed(2) }}</v-col>
            </v-row>
            <v-row>
                <v-col style="color: rgb(126, 101, 93); text-align: left; padding-left: 10%;padding-top: 0%">Total</v-col>
                <v-col style="color: rgb(126, 101, 93); text-align: right; padding-right: 10%; padding-top: 0%;">{{ receiptStore.receipt.total }}</v-col>
            </v-row>
            <v-card-text style="color: rgb(126, 101, 93); text-align: center; padding: 0%; font-size:8pt; padding-bottom: 0%;">★★★★★★★★★★★★★★★★★★★★★★★★</v-card-text>
            <v-card-text style="color: rgb(126, 101, 93); text-align: center;font-size: 10pt; padding-top: 3%;">THANK YOU</v-card-text>
            <v-img :src="`./public/img/menuPics/bar.jpg`" height="50"></v-img>
        <v-card-actions>
          <v-btn variant="outlined" style="color: rgb(126, 101, 93);" block @click="() => {
            dialog = false
            receiptStore.clear()
          }">Agree</v-btn>
          
        </v-card-actions>
      </v-card>
    </v-dialog>
</template> -->